DELETE
/user/filesDelete a user file
Deletes a file from the authenticated user's storage. Supply the URL-encoded file path in the path query parameter to identify the file to remove.
pathstringrequired
URL-encoded path to the file to delete.
200Returns an object containing a message and, if applicable, an error description.
errorstringoptional
error description if any
messagestringoptional
message, can be empty
400Returned when the request is invalid.
errorstringoptional
error description if any
messagestringoptional
message, can be empty
401Returned when the request is unauthorized.
errorstringoptional
error description if any
messagestringoptional
message, can be empty
403Returned when access to the file is forbidden.
errorstringoptional
error description if any
messagestringoptional
message, can be empty
404Returned when the file is not found.
errorstringoptional
error description if any
messagestringoptional
message, can be empty
500Returned when an internal server error occurs.
errorstringoptional
error description if any
messagestringoptional
message, can be empty
defaultUnexpected Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
Error handling
The path query parameter must contain a URL-encoded file path. A 400 is returned for a bad request, a 401 when the request is unauthorized, a 403 when access is forbidden, a 404 when the file is not found, and a 500 for an internal server error.